#
# spec file for package freeswan (Version 2.04_1.5.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  autoconf curl curl-devel gmp kernel-source libpcap openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl curl-devel gcc gdbm gettext gmp kernel-source libpcap libtool openssl-devel perl rpm

Name:         freeswan
%define fversion 2.04
%define xversion 1.5.4
#%define nattversion 0.6
#%define algversion 0.8.0
%define x509dir x509-%{xversion}-freeswan-%{fversion}
#%define nattdir NAT-Traversal-%{nattversion}
#%define algdir alg-patch-%{algversion}
Version:      2.04_1.5.4
Release:      1.23
License:      GPL
Group:        Productivity/Networking/Security
Provides:     pluto klips ipsec VPN
PreReq:       gmp %insserv_prereq %fillup_prereq perl
Requires:     ipsec-tools
Autoreqprov:  on
Summary:      IPsec implementation which allows building VPNs
Source:       ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-%{fversion}.tar.gz
Source1:      ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-%{fversion}.tar.gz.sig
Source2:      RFCs.tar.bz2
Source4:      http://www.strongsec.com/freeswan/%{x509dir}.tar.gz
Source5:      http://www.strongsec.com/freeswan/%{x509dir}.tar.gz.sig
# Documentation
Source10:     README.SuSE
Source11:     http://www.strongsec.com/freeswan/install.htm
Source12:     http://tirnanog.ls.fi.upm.es/CriptoLab/Biblioteca/InfTech/InfTech_CriptoLab.htm
Source13:     http://tirnanog.ls.fi.upm.es/CriptoLab/Biblioteca/InfTech/IPsec_between_Win2000_FreeSWAn_and_PGPnet.pdf
Source14:     http://vpn.ebootis.de/vpn/index.html
Source15:     http://vpn.ebootis.de/vpn/cert.htm
Source16:     http://vpn.ebootis.de/vpn/ipsec-conf.htm
Source17:     http://www.strongsec.com/freeswan/pgpnet/step-by-step.tar.gz
Source30:     ipsec_1_to_2.pl
Source31:     sysconfig.network.scripts.freeswan
Source32:     sysconfig.network.scripts.freeswan-functions
Source33:     ip-up.freeswan
Patch:        freeswan-2.04-compile64.diff
Patch2:       freeswan-2.04-rpmoptflags.diff
Patch3:       freeswan-2.04-logdir.diff
Patch4:       freeswan2-fix-perms.diff
Patch5:       freeswan-2.04-LSB.diff
Patch6:       freeswan-2.04-lib64.diff
Patch8:       freeswan-2.04-acc-ipv6-addr.diff
Patch9:       freeswan-2.04-newhostkey.diff
Patch10:      freeswan-2.04-autoleft.diff
Patch11:      freeswan-2.04-startalways.diff
Patch15:      freeswan2-enable-aes.diff
Patch16:      freeswan2-enable-des.diff
Patch18:      freeswan2-rcscript.diff
Patch20:      NAT-Traversal-0.6-freeswan-2.04-x509-1.5.3.diff
Patch21:      NAT-T-late-SA.diff
Patch22:      openswan-natt.diff
Patch25:      x509-1.5.4-pkcs7.diff
Patch30:      freeswan-2.04-preconfig.diff
Patch40:      freeswan2-send-notifications.diff
Patch42:      snapgear-dpd3.diff
Patch43:      dpd-sfs3.diff
Patch44:      dpd-strictaliasing.diff
Patch45:      freeswan_updown_ppp.diff
Patch60:      freeswan2-msl2tp-payload-malformed-workaround.patch
Patch61:      freeswan-2.04-no-ipsec-module.patch
Patch62:      freeswan-2.04-noslave.diff
Patch63:      freeswan-niscc-273756.dif
#Patch60:      http://www.jacco2.dds.nl/networking/freeswan-msl2tp-payload-malformed-workaround.patch
URL:          http://www.xs4all.nl/~freeswan/
Prefix:       /usr
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
FreeS/WAN is an IPsec implementation which allows building Virtual
Private Networks (VPNs). A typical VPN setup consists of two trusted
networks, connected over an insecure network, typically the Internet.
FreeS/WAN allows you to create an encrypted tunnel through the insecure
area. Unlike CIPE, it is interoperable with other operating systems or
even routers IPsec implementations.

There is no longer support for the insecure DES algorithm. For
interoperability your partner also needs to understand 3DES encryption.

SuSE has added the X.509 support (http://www.strongsec.com/freeswan/)
for you.

It contains strong cryptographic routines. The US government does not
allow to (re)export this software out of the US, regardless of where it
has been written. Nowadays, you may register with the US authorities
and may get granted a license to export it though. Some other countries
(Russia, France, ...) may also have regulations preventing the import,
export or usage of this piece of software.



Authors:
--------
    John Gilmore <gnu@toad.com>
    Henry Spencer <henry@spsystems.net>
    Richard Guy Briggs <rgb@conscoop.ottawa.on.ca>
    Hugh Redelmeier <hugh@mimosa.com>
    Sandy Harris <sandy.harris@sympatico.ca>
    Hugh Daniels <hugh@toad.com>

%define kversion %(uname -r)
%define kmoddir %(test `uname -r | cut -c1,3 ` -ge 24 && echo /lib/modules/`uname -r`/kernel/net/ipv4 || echo /lib/modules/`uname -r`/ipv4)
%prep
%setup -q -b4 -b0 -n freeswan-%{fversion}
# %ifarch alpha x86_64 ppc64 s390x ia64
%patch -p1
# %endif
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch8 -p1
%patch9 -p1
patch -p1 < ../%{x509dir}/freeswan.diff
%patch10 -p1
%patch11 -p1
%patch15 -p1
%patch16 -p1
%patch18 -p1
%patch20 -p1
# patch21 -p1 ommitted on purpose!
%patch22 -p1
%patch25 -p1
%patch30 -p1
%patch40 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch60 -p1
%patch61
%patch62 -p1
%patch63 -p0
# Enable CURL
sed "s/#LIBCURL=1/LIBCURL=1/" <programs/pluto/Makefile >programs/pluto/Makefile.curl
mv programs/pluto/Makefile.curl programs/pluto/Makefile
# Docu
mv doc/README doc/README.doc
cp -p $RPM_SOURCE_DIR/RFCs.tar.bz2 .
echo KVERSION:%{kversion}
echo KMODDIR:%{kmoddir}
cd ../%{x509dir}
#%patch2 -p1
mv README x509.README
mv CHANGES x509.CHANGES
# Use meaningful file names for docu
cd ${RPM_SOURCE_DIR}
cp -p install.htm x509-install.html
cp -p InfTech_CriptoLab.htm x509-interop-w2k-pgpnet.html
cp -p index.html x509-w2k-ipsec.conf.html
tar xvzf step-by-step.tar.gz
rm -rf x509-step-by-step
mv step-by-step x509-step-by-step
cd $RPM_BUILD_DIR/freeswan-%{fversion}
# Fixup config
#sed 's/CONFIG_IPSEC_DEBUG=y/CONFIG_IPSEC_DEBUG=n/' < klips/net/ipsec/defconfig > klips/net/ipsec/defconfig.new
#echo -e "CONFIG_IPSEC_ALG_3DES=m\nCONFIG_IPSEC_ALG_AES=m\nCONFIG_IPSEC_ALG_TWOFISH=m\nCONFIG_IPSEC_ALG_BLOWFISH=m\nCONFIG_IPSEC_ALG_MD5=m\nCONFIG_IPSEC_ALG_SHA1=m\nCONFIG_IPSEC_ALG_SHA2=m" >> klips/net/ipsec/defconfig.new
#mv klips/net/ipsec/defconfig.new klips/net/ipsec/defconfig

%build
#make programs prefix=/usr DESTDIR=$RPM_BUILD_ROOT LIBD=%{_lib} RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DENABLE_DES_AND_MODP768"
make programs prefix=/usr DESTDIR=$RPM_BUILD_ROOT LIBD=%{_lib} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
test -e programs/pluto/pluto

%install
make install prefix=/usr LIBD=%{_lib} DESTDIR=$RPM_BUILD_ROOT
#make minstall
#install -m 755 -d $RPM_BUILD_ROOT/%{kmoddir}
ln -sf /etc/init.d/ipsec $RPM_BUILD_ROOT/usr/sbin/rcipsec
install -d -m 750 $RPM_BUILD_ROOT/etc/ipsec.d/cacerts
install -d -m 750 $RPM_BUILD_ROOT/etc/ipsec.d/certs
install -d -m 750 $RPM_BUILD_ROOT/etc/ipsec.d/crls
install -d -m 700 $RPM_BUILD_ROOT/etc/ipsec.d/private
# We generated and installed a key during build. Throw away (safe in BuildRoot)
#rm $RPM_BUILD_ROOT/etc/ipsec.secrets
touch $RPM_BUILD_ROOT/etc/ipsec.secrets
#sed "s#KVERSION#`uname -r`#g" <$RPM_SOURCE_DIR/freeswan.files.in >freeswan.files
cp -p %{SOURCE10} .
install -m 755 %{SOURCE30} $RPM_BUILD_ROOT/usr/lib/ipsec/
install -d -m 755 %{buildroot}/etc/sysconfig/network/{scripts,if-up.d,if-down.d}
install -m 755 %{SOURCE31} %{buildroot}/etc/sysconfig/network/scripts/freeswan
install -m 644 %{SOURCE32} %{buildroot}/etc/sysconfig/network/scripts/freeswan-functions
ln -s ../scripts/freeswan %{buildroot}/etc/sysconfig/network/if-up.d/freeswan
ln -s ../scripts/freeswan %{buildroot}/etc/sysconfig/network/if-down.d/freeswan
#
# ip-up script (#39048)
install -d -m 755 %{buildroot}/etc/ppp/ip-{up,down}.d
install -m 755 %{SOURCE33} %{buildroot}/etc/ppp/ip-up.d/freeswan
ln -s ../ip-up.d/freeswan %{buildroot}/etc/ppp/ip-down.d/freeswan
#
# Make km_freeswan subpackage
#cd $RPM_BUILD_DIR/freeswan-%{fversion}
#make clean
#install -d $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan
#cp -ax Makefile* klips lib libdes libcrypto zlib $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan/
#rm -f $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan/Makefile.orig
#install -d $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan/pluto
#cp -p pluto/constants.h pluto/defs.h pluto/log.h $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan/pluto/
#install -d $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan/utils
#cp -p utils/patcher utils/errcheck $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan/utils/
#find $RPM_BUILD_ROOT/usr/src/kernel-modules/zz_freeswan -name .cvsignore | xargs rm

%files
%defattr(-,root,root)
/usr/sbin/ipsec
/usr/sbin/rcipsec
/usr/lib/ipsec
%if "%{_lib}" != "lib"
/usr/%{_lib}/ipsec/
%endif
%doc %{_mandir}/man3/ipsec*
%doc %{_mandir}/man5/ipsec*
%doc %{_mandir}/man5/pf*
%doc %{_mandir}/man8/ipsec*
%config /etc/init.d/ipsec
%attr(600,root,root) %config(noreplace) /etc/ipsec.secrets
#%attr(600,root,root) %config /etc/ipsec.secrets.rpmbuild
%config(noreplace) /etc/ipsec.conf
%dir /etc/ipsec.d/
%dir /etc/ipsec.d/cacerts
%dir /etc/ipsec.d/certs
%dir /etc/ipsec.d/crls
/etc/ipsec.d/policies
/etc/sysconfig/network/scripts/*
/etc/sysconfig/network/if-up.d/freeswan
/etc/sysconfig/network/if-down.d/freeswan
/etc/ppp/ip-up.d/freeswan
/etc/ppp/ip-down.d/freeswan
%dir %attr(700,root,root) /etc/ipsec.d/private
%doc BUGS CHANGES COPYING CREDITS INSTALL README README.SuSE 
%doc README.selectors README.DPD
%doc README.NAT-Traversal
%doc doc/*.html doc/README.doc doc/std/* doc/Makefile
%doc doc/*.notes doc/examples doc/prob.report doc/iab-iesg.stmt RFCs.tar.bz2
%doc doc/*.howto doc/*.known-issues doc/*.txt linux/README.freeswan
%doc ../%{x509dir}/x509.README
%doc ../%{x509dir}/x509.CHANGES ../%{x509dir}/ipsec.secrets.template
%doc $RPM_SOURCE_DIR/x509-install.html
%doc $RPM_SOURCE_DIR/x509-interop-w2k-pgpnet.html
%doc $RPM_SOURCE_DIR/x509-w2k-ipsec.conf.html
%doc $RPM_SOURCE_DIR/x509-step-by-step
#%files -n km_freeswan
#%defattr(-,root,root)
#%dir /usr/src/kernel-modules
#/usr/src/kernel-modules/zz_freeswan/
#%files -n freeswan-libdes
#%defattr(-,root,root)
#/usr/include/des.h
#/usr/%{_lib}/libdes.a
#%doc %{_mandir}/man3/des_crypt.3.gz
#%doc libdes/README libdes/README.freeswan libdes/COPYRIGHT libdes/VERSION

%clean
test -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" || rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv ipsec}
if test ! -s etc/ipsec.secrets; then
  echo "Generating new rsasigkey for ipsec.secrets ..."
  cat >etc/ipsec.secrets.tmp << EOF
# This file holds shared secrets or RSA private keys for inter-Pluto
# authentication.  See ipsec_pluto(8) manpage, and HTML documentation.
#
# RSA private key for this host, authenticating it to any other host
# which knows the public part.  Suitable public keys, for ipsec.conf, DNS,
# or configuration of other implementations, can be extracted conveniently
# with "ipsec showhostkey".
EOF
  echo ': RSA	{' >> etc/ipsec.secrets.tmp
%ifarch s390 s390x ppc ppc64 ia64
  # S/390(x), PPC(64), ia64 kernels do not generate enough entropy even during an
  # installation(!) to produce good random numbers for the RSA key generation.
  # Defer to sysadmin.
  echo " S/390(x), PPC(64) and ia64 do not reliably offer enough entropy :-("
  #if usr/lib/ipsec/rsasigkey --random dev/urandom 2048 >> etc/ipsec.secrets.tmp; then
  if false; then
%else
  if usr/%{_lib}/ipsec/rsasigkey 2048 >> etc/ipsec.secrets.tmp; then
%endif
    echo '  }' >> etc/ipsec.secrets.tmp
    echo '# do not change the indenting of that "}"' >> etc/ipsec.secrets.tmp
    chmod 600 etc/ipsec.secrets.tmp
    mv -f etc/ipsec.secrets.tmp etc/ipsec.secrets
  else
    rm -f etc/ipsec.secrets.tmp
    echo -e "\e[31m IPsec RSA signature key could not be generated!\e[m\017"
    echo " Generate one manually with \"ipsec newhostkey --output /etc/ipsec.secrets\""
    echo " Generate an RSA key with \"ipsec newhostkey --output /etc/ipsec.secrets\"" >etc/ipsec.secrets
    echo " Make sure, your kernel has enough entropy by e.g. using the keyboard." >>etc/ipsec.secrets
  fi
else
  echo "Leave old IPsec RSA signature key untouched."
  # Remove empty ipsec.secrets.rpmnew
  if test -e etc/ipsec.secrets.rpmnew -a ! -s etc/ipsec.secrets.rpmnew; then
    rm etc/ipsec.secrets.rpmnew
  fi
fi
if ! grep -q "version[	 ]*2\.0" /etc/ipsec.conf; then
  echo "Migrate config to v2.0 ..."
  mv --backup=numbered /etc/ipsec.conf /etc/ipsec.conf.v1
  /usr/lib/ipsec/ipsec_1_to_2.pl </etc/ipsec.conf.v1 >/etc/ipsec.conf
  mkdir -p /var/adm/notify/messages/
  cat >/var/adm/notify/messages/freeswan <<EOF
Dear system administrator,
You have upgraded from FreeS/WAN-1.9x to FreeS/WAN-2.x.
The format of the configuration /etc/ipsec.conf has changed.
The %post install script has converted the old configuration
file and has put a backup copy into /etc/ipsec.conv.v1.
If you have a complicated setup. the conversion may not be 
perfect. Please check it manually then.
EOF
  PEMS=/etc/ipsec.d/*.pem
  if test "$PEMS" != "/etc/ipsec.d/*.pem"; then
    cp -p --backup=numbered $PEMS /etc/ipsec/certs/
    echo -e "The certificates\n$PEMS\nhave been copied to /etc/ipsec/certs/" \
	>>/var/adm/notify/messages/freeswan 
    echo "You may want to remove the old copies as soon as you stopped" \
	>>/var/adm/notify/messages/freeswan 
    echo -e "using FreeS/WAN-1.9x\n" >>/var/adm/notify/messages/freeswan 
  fi
  cat >>/var/adm/notify/messages/freeswan <<EOF2
If you have customized your _updown script or have set firewall rules
with the ipsecX devices, please be advised that the ipsecX network 
devices are not existing any longer.
						Your SUSE team.
EOF2
fi
#%preun
#usr/sbin/rcipsec stop

%preun
# Some people expect to not loose their secrets even after multiple rpm -e.
if test -s etc/ipsec.secrets.rpmsave; then
  cp -p --backup=numbered etc/ipsec.secrets.rpmsave etc/ipsec.secrets.rpmsave.old
fi
exit 0

%postun
%{insserv_cleanup}

%changelog -n freeswan
* Tue Nov 22 2005 - mt@suse.de
- Bug #134158, fix for the assert check failure as result of the
  PROTO IPsec test suite run, causing a Denial of Service as
  reported by NISCC 273756/NISCC/ISAKMP and VU#226364 Advisories.
  new patch file: freeswan-niscc-273756.dif
* Sun Sep 26 2004 - garloff@suse.de
- Fix initscript exit codes and messages. [#42604]
* Fri Aug 13 2004 - garloff@suse.de
- Add patch from Brian Strand to allow bonded interfaces.
* Fri Jul 23 2004 - hare@suse.de
- Fix _startklips to not print error message if module ipsec is
  not found (which does not exist for SLES9 kernels) (#41666)
* Thu Jul 22 2004 - lnussel@suse.de
- add patch from Herbert Xu for openswan that is supposed to fix
  NAT-T: Last packet of handshake was sent through tunnel but should
  not be (#43301).
* Fri Jun 25 2004 - lnussel@suse.de
- update fix for certificate chain authentication bug (#42153)
* Thu Jun 24 2004 - garloff@suse.de
- Reject cert if issuer and subject are identical in PKCS7 (#42153).
* Tue Jun 15 2004 - garloff@suse.de
- Disable RSA signature key generation on ia64 as well. (#41903)
* Mon May 17 2004 - garloff@suse.de
- Fix ASN.1 parser crash by updating to X.509-1.5.4. (#40679)
* Thu Apr 29 2004 - lnussel@suse.de
- revert fix for #39452, instead unset PLUTO_NEXT_HOP for ppp connections
  (#39641)
- suppress error message in if-down script if no config exists for the
  interface that is beeing shut down.
- package README.NAT-Traversal
* Mon Apr 26 2004 - lnussel@suse.de
- _updown: don't touch routing if the IPsec peer is the PPP peer (#39452)
- /etc/sysconfig/network/scripts/freeswan: ignore errors from ipsec auto --down
  so ipsec auto --delete is always executed. Otherwise roadwarrior connections
  bound to a dynamic interface would not always get deleted when the link
  breaks down. (#39452)
* Fri Apr 23 2004 - lnussel@suse.de
- add wrapper script for ifup/ifdown script to ip-up.d/ip-down.d
  since ifup/ifdown got disabled in ip-up/ip-down as workaround for
  dial on demand problems (#39048)
* Wed Mar 24 2004 - lnussel@suse.de
- add script symlinks for if-up/if-down (#36791)
- fix strict aliasing warning
* Mon Mar 22 2004 - garloff@suse.de
- Fix status message in rcscript.
* Mon Mar 22 2004 - garloff@suse.de
- Port Dead-Peer-Detection Code to 2.04-SUSE.
- Minor fix with sending notifications.
* Thu Mar 18 2004 - garloff@suse.de
- Fix permissions. (#36323)
* Wed Mar 17 2004 - garloff@suse.de
- Make the startup script obey LSB rules.
- Add README.linux to %%doc.
* Wed Mar 17 2004 - garloff@suse.de
- Update to X.509 patch 1.5.3:
  * Port wildcards for Mac OS X Panther interoperatbility.
- Update to X.509 patch 1.5.2:
  * Bugfix for connection match failure of roadwarrior in IKE
  phase 1 if peer sent a CR requesting a sepcific CA.
- Update to X.509 patch 1.5.1:
  * Mathieu Lafon's Notfication SA patch integrated.
  * Bugfix for connection match failure in IKE phase 2 with phase 1
  CA %%any.
  * Discard malformed (not ASN.1 DN) CRs.
  * Disable OE default policy groups.
- Drop no-oe patch (as it's included in X.509 patch), replace with
  preconfig patch to have a bit better preconfiguration.
* Wed Mar 17 2004 - garloff@suse.de
- Port patch to enable msl2tp workaround.
- Enable ESP AES encryption for IPSEC_SA.
- Enable ESP and OAKLEY DES encryption and modp768. This in
  insecure and thus a compile time option. (Disabled.)
* Tue Mar 09 2004 - lnussel@suse.de
- add helper scripts for ifup to be able to dynamically add connections
* Fri Feb 27 2004 - lnussel@suse.de
- start pluto even if some connections can't be started because of a missing
  defaultroute (freeswan-2.04-startalways.diff)
- add --left parameter to ipsec auto for integration with ifup
  (freeswan-2.04-autoleft.diff)
* Tue Feb 17 2004 - garloff@suse.de
- Port newhostkey patch (allowing to specify randomness source).
- Try to migrate v1 ipsec.conf file to v2.0 and notify user.
- Add /etc/ipsec.d/certs to file list.
* Tue Feb 17 2004 - agruen@suse.de
- Fix file list.
* Tue Feb 17 2004 - agruen@suse.de
- Merge Michal's fix into the NAT-T patch.
* Tue Feb 10 2004 - mludvig@suse.cz
- Fixed NAT-T to work over netlink interface.
* Tue Feb 10 2004 - garloff@suse.de
- Use z format modifier (build fix for S/390).
* Wed Feb 04 2004 - garloff@suse.de
- Drop bin86 from build requirements.
* Wed Feb 04 2004 - garloff@suse.de
- Update to X.509 patch 1.5.0:
  * Add support for the Online Certificate Status Protocol
  (OCSP, RFC 2560), an alternative to CRLs.
  * make ipsec barf include --listall.
  * Use libcurl rather than curl.
- Integrate improved version of NAT-T patch from agruen.
- Make FreeS/WAN accept IPv6 addresses. (lnussel, #34278)
* Mon Jan 26 2004 - ro@suse.de
- updated neededforbuild "kernel-source-26" -> "kernel-source"
* Sat Jan 24 2004 - ro@suse.de
- removed modutils from neededforbuild
* Sun Jan 18 2004 - garloff@suse.de
- Integrate NAT-Traversal patch (2.00 patch, ported to 2.04 by
  Andreas Gruenbacher).
- Better preconfiguration, switch off OE by default for now.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Dec 17 2003 - garloff@suse.de
- Fix rsa sig key generation on lib64 systems
* Wed Dec 10 2003 - garloff@suse.de
- Creation of FreeS/WAN-2.04
- Apply X.509-1.4.8 patch
- Move everything to std LSB locations
- Some tiny compile fixes
- Fix log dir (erroneously pointed to build root)
- Use RPM_OPT_FLAGS for compilation
